<template>
  <div>
    <el-button
      v-shortkey="['enter']"
      :loading="loading"
      type="primary"
      icon="el-icon-search"
      plain
      @shortkey.native="btnSubmit"
      @click="btnSubmit"
    >查詢</el-button>
    <el-button icon="el-icon-refresh" plain @click="btnReset">重置</el-button>
  </div>
</template>

<script>
export default {
  props: {
    refs: { type: Object, default: null },
    loading: { type: Boolean, default: false }
  },
  data() {
    return {}
  },
  methods: {
    btnSubmit() {
      this.$emit('submit')
    },
    btnReset() {
      this.refs.form1.resetFields()
      this.$emit('reset')
    }
  }
}
</script>
